Package org.eclipse.cdt.core.dom.ast

# Interface IASTPreprocessorStatement

All Superinterfaces:
  `IASTNode`

All Known Subinterfaces:
  `IASTPreprocessorElifStatement`, `IASTPreprocessorElseStatement`, `IASTPreprocessorEndifStatement`, `IASTPreprocessorErrorStatement`, `IASTPreprocessorFunctionStyleMacroDefinition`, `IASTPreprocessorIfdefStatement`, `IASTPreprocessorIfndefStatement`, `IASTPreprocessorIfStatement`, `IASTPreprocessorIncludeStatement`, `IASTPreprocessorMacroDefinition`, `IASTPreprocessorObjectStyleMacroDefinition`, `IASTPreprocessorPragmaStatement`, `IASTPreprocessorUndefStatement`

public interface IASTPreprocessorStatement extends IASTNode
This is the base interface for all preprocessor directives.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`MACRO_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### MACRO_NAME

static final ASTNodeProperty MACRO_NAME